Secunia CSI7
Advisories
Research
Forums
Create Profile
Our Commitment
PSI
PSI API
CSI
OSI
xSI
Vulnerabilities
Programs
Open Discussions
My Threads
Create Thread
Statistics
About

Forum Thread: Cant create Adobe Reade updates

You are currently viewing a forum thread in the Secunia Community Forum. Please note that opinions expressed here are not of Secunia but solely reflect those of the user who wrote it.

This thread was submitted in the following forum:
CSI

This thread has been marked as locked.
Hyllegaard Cant create Adobe Reade updates
Member 16th Jan, 2014 11:37
Ranking: 0
Posts: 1
User Since: 16th Jan, 2014
System Score: N/A
Location: DK
Hi.

I am unable to create an Adobe Reader update package, that works.

On my own pc I have Reader XI 11.0.5 English.
But when I try to create an update package for it, windows update returns error code 666.
And the secuniapackage.log states this:
[01/16 11:32:36.346] Running package Update Adobe Reader XI 11.x, version 11.0.06, Highly Critical
[01/16 11:32:36.346] GUID : a5263d91-6470-48e3-aab4-981c424ec84f
[01/16 11:32:42.917] Executed command, return status is 1638
[01/16 11:32:42.934] Finished running package Update Adobe Reader XI 11.x, version 11.0.06, Highly Critical
[01/16 11:32:42.934] Returning 1638
---------------

We have been using CSI7 for a few months now, and so far I have not been able to make a reader package that works...

GerryC RE: Cant create Adobe Reader updates
Member 16th Jan, 2014 22:44
Score: 0
Posts: 1
User Since: 16th Jan 2014
System Score: N/A
Location: NZ
I am having the exact same problem.
I can create the package easily but when it deploys to the client, I get the same 666 error and the log says the same. Looks like we are still using version 6.0.0.10
I am new to using this product so I'm sure it is something I am doing wrong. I would be grateful if someone can point me in the right direction.

Cheers
Was this reply relevant?
+0
-0
M.Strehse RE: Cant create Adobe Reade updates
Secunia Official 17th Jan, 2014 09:04
Score: 0
Posts: 12
User Since: 4th Mar 2013
System Score: N/A
Location: Copenhagen, DK
Hi,

the error you are receiving is caused by the Adobe installer itself.
It should be solved by choosing "Perform a clean installation" option, in the first step of the package creation wizard.

Best regards,

Maik Strehse
Solution Specialist
Secunia
mscheurer RE: Cant create Adobe Reade updates
Member 17th Jan, 2014 11:40
Score: 0
Posts: 1
User Since: 27th Mar 2012
System Score: N/A
Location: DE
I am having the same Problem with Adobe Reader X und the new 10.1.9 package. All previous packages worked but this package tries to do a new installation instead of an update.
Can we get this fixed?
Was this reply relevant?
+0
-0
AndrewM-AS RE: Cant create Adobe Reade updates
Member 17th Jan, 2014 13:36
Score: 0
Posts: 1
User Since: 17th Jan 2014
System Score: N/A
Location: UK
Last edited on 17th Jan, 2014 13:36
We're using CSI 6.0.0.10 and I can't see the clean installation option in the package creation wizard. Should I be able to?

Thanks.
Was this reply relevant?
+0
-0
wwfit Cant create Adobe Reade updates
Member 27th Jan, 2014 12:39
Last edited on 27th Jan, 2014 12:39 Hi we have the same problem.
We are using Secuni 6.0.0.10 and are not able to Update Adobe Reader from 10.1.8 to 10.1.9.
All former Reader updates worked perfect.
Sindows Update gives Error Code 666.
Thank you at Secunia for a running update version.

Now I found out, that Secunia gives us the Version 10.1.6 for Patching, what can we do?
Regards
Was this reply relevant?
+0
-0
r.danailov RE: Cant create Adobe Reade updates
Secunia Official 29th Jan, 2014 11:15
Score: 25
Posts: 129
User Since: 3rd Jan 2012
System Score: N/A
Location: Copenhagen, DK
Hi,

Please consider the below scenario that re-occurred for all of you that have reported this problem here.

Secunia packages include a default English installer of Adobe Reader within its configuration. Your installations of Adobe Reader are installed in a different language than English, however. When you deploy the English installer to your installations, Adobe Reader installer throws a generic error 666 which means that the installer you are running is unable to change the language of the underlying installation of Reader.

This is a typical and commonly seen installation error that is entirely within the installer of Adobe Reader - language can be changed only within the major installation file which is usually the first version of a major release.

To avoid this error, you must deploy a patch that has the same language as the original installations on your systems. You can change the language of the installer in the main SPS interface within the additional language menu that appears next to Create Update Package option, or at step 2 of SPS by using the Langualisation button.

If you wish to completely switch the language of the underlying installations of Adobe Reader on your systems, you can enable your package to 'Perform Clean Installation' by enabling the corresponding setting at step 1 of SPS.

This would completely uninstall the previous version and language of Reader, and it will install the new patch from scratch with the new language you selected for that package.

Kind regards / Stay Secure
Rosen Danailov / Security+
Secunia Customer Support
r.danailov RE: Cant create Adobe Reade updates
Secunia Official 29th Jan, 2014 11:27
Score: 25
Posts: 129
User Since: 3rd Jan 2012
System Score: N/A
Location: Copenhagen, DK
Hi,

In addition to my earlier comments, please consider that the 'Clean Install' option is only available within the Secunia CSI 7.x. Users running CSI 6.x would achieve the same result by creating 2 packages - firstly you need to create Uninstall Package and then a new Custom Package.

In the Secunia Package System interface you can see an Uninstallable column that will tell you if Adobe Reader is Uninstallable (Yes) or Not (No). If it states Yes, then CSI would have this package pre-configured, so you only need to re-use the default configuration and publish it in order to uninstall your installations. If it says No, you can still create your package following my instructions visible within the below referred forum thread:

http://secunia.com/community/forum/thread/show/144...

After Reader had been removed from your systems, you could deploy a second brand new Custom package that would install the new language version on all systems. This means that you can right-click on a Blue Adobe Reader product entry in the SPS, select Create Update Package and then enable the 'AlwaysInstallable' setting at step 3 of SPS. This would make your package sustainable for installation on all systems that are approved for it. For example, if you approved it for 'All Computers' group / collection, it will install on each and every machine within the domain that fetches updates from your deployment server.

Kind regards / Stay Secure
Rosen Danailov / Security+
Secunia Customer Support
wwfit Cant create Adobe Reade updates
Member 29th Jan, 2014 13:16
Last edited on 29th Jan, 2014 13:16 Hi Rosen
Unfortunately your tips didnt help. The Langualisation button was not available at Step 2.
We use Win 7 english and Adobe Reader english.
Now I found at, that the download file ehich secunia prepares is a full downlad from secunia.com. Until Version 10.1.8 the download was from Adobe like this:
http://ardownload.adobe.com/pub/adobe/reader/win/1...
How you can see I changed the Link at Step 2 to version 10.1.9 and removed the other link.
I also changed the silent parameters in the Java Script to var silentParams = "/qn /norestart";
like it was in former version like 10.1.8.
It worked now perfect.
It would be nice for other users if you fix this issue.
Regards
G√ľnther
Was this reply relevant?
+0
-0

r.danailov

RE: Cant create Adobe Reade updates
[+]
This reply has been deleted
r.danailov RE: Cant create Adobe Reade updates
Secunia Official 31st Jan, 2014 13:20
Score: 25
Posts: 129
User Since: 3rd Jan 2012
System Score: N/A
Location: Copenhagen, DK
Last edited on 31st Jan, 2014 13:23
Hi,

Secunia CSI 7.x customers are recommended to mandatory enable the checkbox 'Perform a Clean Installation' while all other customers running previous versions are recommended to change the download link provided by default within their package configuration.

We can confirm that by replacing the default Secunia URL with a direct URL at the vendor's website is the fastest and most non-problematic workaround to get your packages install correctly.

You need to remove the default link and insert the vendor link to make your package sustainable for installation. Below is the direct download link to the installer that provides installation on all languages:

http://ardownload.adobe.com/pub/adobe/reader/win/1...

http://www.adobe.com/support/downloads/detail.jsp?...

We have escalated this issue to our internal technical teams responsible for package handling and we are currently expecting more concrete feedback on the exact issue with this package. Please feel free to request feedback should you have further pending questions.

Kind regards / Stay Secure
Rosen Danailov / Security+
Secunia Customer Support

This thread has been marked as locked.


 Products Solutions Customers Partner Resources Company
 
 Corporate
Vulnerability Intelligence Manager (VIM)
Corporate Software Inspector (CSI)
Consumer
Personal Software Inspector (PSI)
Online Software Inspector (OSI)
 Industry
Compliance
Technology
Integration
 Customers
Testimonials
 VARS
MSSP
Technology Partners
References
 Factsheets
Reports
Webinars
Events
 About us
Careers
Memberships
Newsroom


 
© 2002-2014 Secunia ApS - Rued Langgaards Vej 8, 4th floor, DK-2300 Copenhagen, Denmark - +45 7020 5144
Terms & Conditions and Copyright - Privacy - Report Vulnerability